Name:           perl-Exception-Base
Version:        0.2501
Release:        %mkrel 8
Summary:        Lightweight exceptions
License:        GPL+ or Artistic
Group:          Development/Perl

URL:            https://metacpan.org/release/Exception-Base
Source0:        https://cpan.metacpan.org/authors/id/D/DE/DEXTER/Exception-Base-%{version}.tar.gz
# Fix FTBFS with Perl 5.38 onwards (rhbz#2222742)
# Smartmatch is deprecated, resulting warning causes test failures
# https://github.com/dex4er/perl-Exception-Base/issues/5
Patch0:         Exception-Base-0.2501-smartmatch.patch

BuildArch:      noarch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Unit::Lite)

%{?perl_default_filter}

%description
This class implements a fully OO exception mechanism similar to
Exception::Class or Class::Throwable. It provides a simple interface
allowing programmers to declare exception classes. These classes can be
thrown and caught. Each uncaught exception prints full stack trace if the
default verbosity is raised for debugging purposes.

%prep
%setup -q -n Exception-Base-%{version}
%patch -P 0

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes Incompatibilities README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.2501-8.mga10
+ Revision: 2235172
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 0.2501-7.mga10
+ Revision: 2143830
- add fedora patch to fix build

* Sun Mar 20 2022 umeabot <umeabot> 0.2501-6.mga9
+ Revision: 1803496
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2501-5.mga8
+ Revision: 1494450
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2501-4.mga7
+ Revision: 1267866
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2501-3.mga6
+ Revision: 1027029
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 tv <tv> 0.2501-2.mga6
+ Revision: 995138
- re-enable testsuite

* Thu Mar 24 2016 tv <tv> 0.2501-1.mga6
+ Revision: 995027
- imported package perl-Exception-Base


* Thu Mar 24 2016 Thierry Vignaud <tv@mageia.org> 0.2501-1.mga6
- import from FC
